org.apache.poi.hwpf.model

## Class CHPX

- java.lang.Object
- - org.apache.poi.hwpf.model.PropertyNode<T>
  - - org.apache.poi.hwpf.model.BytePropertyNode<CHPX>
    - - org.apache.poi.hwpf.model.CHPX

- All Implemented Interfaces:
    java.lang.Comparable<CHPX>, Duplicatable

      @Internal
      public final class CHPX
      extends BytePropertyNode<CHPX>

  DANGER - works in bytes!

  Make sure you call getStart() / getEnd() when you want characters (normal use), but getStartByte() / getEndByte() when you're reading in / writing out!

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.PropertyNode

      `_buf, EndComparator, StartComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CHPX(CHPX other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CHPX` | `copy()`
    `CharacterProperties` | `getCharacterProperties(StyleSheet ss, short istd)`
    `byte[]` | `getGrpprl()`
    `SprmBuffer` | `getSprmBuf()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.BytePropertyNode

      `getEndBytes, getStartBytes`

    - ### Methods inherited from class org.apache.poi.hwpf.model.PropertyNode

      `adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CHPX

          public CHPX(CHPX other)

  - ### Method Detail

    - #### getGrpprl

          public byte[] getGrpprl()

    - #### getSprmBuf

          public SprmBuffer getSprmBuf()

    - #### getCharacterProperties

          public CharacterProperties getCharacterProperties(StyleSheet ss,
                                                            short istd)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public CHPX copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `PropertyNode<CHPX>`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.